<div class="container-lg py-2">
  <app-breadcrumb-public [single]="true" titlePage="Contacto"></app-breadcrumb-public>
  <h1 class="text-left text-title">Contacto</h1>
  <form (ngSubmit)="submit(form)"  #form="ngForm">
    <div class="row py-3">
      <div class="col-12">
        <div class="form-floating">
          <input type="text" name="name" id="floatingNombre" placeholder="Nombre" class="form-control" ngModel required>
          <label for="floatingNombre">
            <span>Nombre</span>
          </label>
        </div>
      </div>
    </div>
    <div class="row py-3">
      <div class="col-12 col-md-6">
        <div class="form-floating">
          <input type="email" name="email" id="floatingEmail" placeholder="Correo" class="form-control" ngModel required>
          <label for="floatingEmail">
            <span>Correo</span>
          </label>
        </div>
      </div>
      <div class="col-12 col-md-6">
        <div class="form-floating">
          <input type="number" name="telephone" id="floatingTelefono" placeholder="Telefono" class="form-control" ngModel required>
          <label for="floatingTelefono">
            <span>Telefono</span>
          </label>
        </div>
      </div>
    </div>
    <div class="row py-3">
      <div class="col-12">
        <div class="form-floating">
          <textarea name="message" id="floatingMessage" placeholder="Mensaje" class="form-control" rows="5" ngModel required></textarea>
          <label for="floatingMessage">
            <span>Mensaje</span>
          </label>
        </div>
      </div>
    </div>
    <div class="row mb-5">
      <div class="col-12">
        <button class="btn btn-primary float-end" type="submit" [disabled]="form.invalid">Enviar</button>
      </div>
    </div>
    <div class="row my-3">
      <div class="col-12">
        <re-captcha
          (resolved)="resolved($event)"
          siteKey="6LcMMg4dAAAAAAj7ChPazViPJzo5wACX-pYNPY7k"
          class="float-end"
        ></re-captcha>
      </div>
    </div>
  </form>
</div>
